PHP: Hypertext Preprocessor, usually referred to as PHP, is a famous web development language, which can be used to develop dynamic sites with interactive features such as Internet forums, e-teaching sites or social networks. In contrast to static HTML-based websites, a PHP-driven website can show different web content to each visitor under the same exact URL. Considering the fact that PHP-based web apps can be managed through a single Control Panel, which you can log in to from any Internet browser, you won’t need any web design expertise or past experience whatsoever to maintain a PHP website. The fact that 100s of millions of websites around the world are built using PHP is indicative of the language’s popularity and ease of use. You only have to check whether or not the server on which your site is hosted supports the very same PHP version as the one that you used while building the site.

PHP 4 and PHP 5 Support in Cloud Hosting

Our cloud hosting servers support different versions of PHP, which goes to say that your websites will work without any problem even if your PHP scripts are outdated. We know that an old website doesn’t always equal a vulnerable one as you may have carried out a lot of mods to its source code. That is why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can pick which version will be active for your shared hosting account. The version can be changed with only one click through your Hepsia Control Panel and the update will be applied right away. In case you would like to run both newer and older scripts, there’s even a possibility to use a different PHP version for each domain of yours at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Even if your sites were created with an earlier PHP version, you will be able to host them in a semi-dedicated server account from us, as we support several versions running simultaneously on our semi-dedicated servers and each of them can be activated for your account with just one click via our custom-built Hepsia Control Panel. Besides the latest PHP 5.4 and PHP 5.5, we also support 5.3, 5.2 and the older PHP 4, which has already been abandoned by most hosting suppliers, but we strongly deem that you should not be compelled to modify a website that took years to develop, as older script language syntax doesn’t always suggest security vulnerabilities. Quite the opposite, an adequately maintained site using PHP 4 can be more reliable than an inadequately maintained one using PHP 5. For the sake of your convenience, we’ll also give you the possibility to choose a different PHP version for each individual website within the account.